Update a company
curl --request PUT \
--url https://api.nateq.io/api/v1/companies/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"country": "<string>",
"description": "<string>",
"domain": "<string>",
"industry": "<string>",
"name": "<string>",
"size": "<string>",
"website": "<string>"
}
'import requests
url = "https://api.nateq.io/api/v1/companies/{id}"
payload = {
"country": "<string>",
"description": "<string>",
"domain": "<string>",
"industry": "<string>",
"name": "<string>",
"size": "<string>",
"website": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country: '<string>',
description: '<string>',
domain: '<string>',
industry: '<string>',
name: '<string>',
size: '<string>',
website: '<string>'
})
};
fetch('https://api.nateq.io/api/v1/companies/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"contactsCount": 123,
"country": "<string>",
"createdAt": "<string>",
"description": "<string>",
"domain": "<string>",
"id": "<string>",
"industry": "<string>",
"name": "<string>",
"organizationId": "<string>",
"size": "<string>",
"tags": [
{
"color": "<string>",
"createdAt": "<string>",
"displayName": "<string>",
"id": "<string>",
"name": "<string>",
"organizationId": "<string>",
"updatedAt": "<string>"
}
],
"updatedAt": "<string>",
"website": "<string>"
},
"error": {
"code": "<string>",
"details": "<unknown>",
"message": "<string>"
},
"message": "<string>",
"meta": {
"aiTranslation": "<string>",
"apiKeyUsage": {
"limit": 123,
"unlimited": true,
"used": 123
},
"callCapabilities": {
"aiHandling": "<string>",
"aiHumanTransfer": true,
"analytics": "<string>",
"businessHoursRouting": true,
"enabled": true,
"multiLanguageAi": true,
"queueManagement": true,
"recording": true,
"routing": "<string>"
},
"count": 123,
"dataRetentionCapability": "<string>",
"endCursor": "<string>",
"hasNext": true,
"hasPrevious": true,
"limit": 123,
"page": 123,
"pageSize": 123,
"pendingCount": 123,
"routingCapability": "<string>",
"ssoCapability": "<string>",
"startCursor": "<string>",
"total": 123,
"totalPages": 123
},
"success": true
}Update a company
Update a company by ID.
PUT
/
companies
/
{id}
Update a company
Authorizations
Your API key as a Bearer token: Authorization: Bearer tg_live_...
Path Parameters
Company ID
Body
application/json
Fields to update
Was this page helpful?
⌘I